Search

GlobalSCAPE Knowledge Base

How can I set the Web Transfer Client (WTC) to default to the HTML5 version instead of the Java-enabled version?

Karla Marsh
EFT Express (SMB) & Enterprise

THE INFORMATION IN THIS ARTICLE APPLIES TO:

  • EFT version 7.x and later

In EFT version 7.3.3.21 and later, the Java-enabled client is not available.

QUESTION

How can I set the Web Transfer Client (WTC) to default to the HTML5 version instead of the Java-enabled version?

ANSWER

The EFT administrator can edit a file in the EFT installation folder to make the HTML5 version of the WTC the default login (the Java-enabled version check box would be cleared by default), or remove the check box altogether.

Instead of making changes to files in the \web\public\EFTClient\ folder, copy and paste the \EFTClient\ folder into the \web\custom\ folder. Then only make changes to files in the \web\custom\EFTClient\ folder.

To make the HTML5 version the default

If you want to make the HTML5 version of the WTC the default, but still allow end users to choose the Java-enabled version, you can clear the check box using the procedure below.

  1. In the WTC Login dialog box, the code that displays the Use Java enabled version check box is in C:\Program Files (x86)\Globalscape\EFT Server Enterprise\web\public\EFTClient\Account\Login.htm.Create a copy of Login.htm and paste it into:
  2. C:\Program Files (x86)\Globalscape\EFT Server Enterprise\web\custom\EFTClient\Account\

    (You will have to create the \EFTClient\ and \Account\ folders if you haven't already.)

  3. In \web\custom\EFTClient\Account\Login.htm, between {{#CLIENT_CHECKBOX_SECTION}} and {{/CLIENT_CHECKBOX_SECTION}}, remove the following code:
  4. checked="true"

    (Make sure there is only one space left, not two.)

    The checkbox will no longer be selected and the HTML5 version of the WTC will appear after login.

To remove the "Use Java enabled version" check box

You might not want end users to be able to select the Java-enabled version of the WTC. In that case, you can remove the check box and text using the procedure below.

  1. In the WTC Login dialog box, the code that displays the Use Java enabled version check box is in C:\Program Files (x86)\Globalscape\EFT Server Enterprise\web\public\EFTClient\Account\Login.htm.Create a copy of Login.htm and paste it into:
  2. C:\Program Files (x86)\Globalscape\EFT Server Enterprise\web\custom\EFTClient\Account\

    (You will have to create the \EFTClient\ and \Account\ folders if you haven't already.)

  3. In \web\custom\EFTClient\Account\Login.htm, completely remove the code from {{#CLIENT_CHECKBOX_SECTION}} to {{/CLIENT_CHECKBOX_SECTION}}.
  4. The checkbox and text will no longer be displayed and the HTML5 version of the WTC will appear after login.

To restore the "Use Java enabled version" check box

  • If you decide you want to restore the check box, copy the (unedited) Login.htm file from \web\public\EFTClient\Account\ and paste it over the one that you edited in \web\custom\EFTClient\Account\.

Note that any customizations you make to the WTC will have to be recreated when you upgrade. 

Details
Last Modified: 2 Years Ago
Last Modified By: kmarsh
Type: HOWTO
Rated 1 star based on 8 votes.
Article has been viewed 17K times.
Options
Also In This Category
Tags